//要改的地方 
// round_no = 0 不顯示
var round_no = 0;
//uurl = # 沒有 hyperlink
var uurl    = "#";


//var english_pause_message = "Bidding pause1234."
//var chinese_part1 = "第 [round_no] 回合因故暫停。"
//var chinese_part2 = "相關訊息詳新聞稿。"
var english_pause_message = "";
var chinese_part1 = "";
var chinese_part2 = "";


//不要改的地方
var display = "";
var display_url = "";
var chinese_pause_message = "";
if (round_no == 0)
	display  = "none";
else
{
	chinese_pause_message = chinese_part1.replace("[round_no]",round_no);

	if (uurl == "#")
		display_url = "none";
	else
		chinese_pause_message	+= "<a target='_blank' href='" + uurl + "'>" + chinese_part2 + "</a>";
}

$.ajaxSetup({
    // Disable caching of AJAX responses
    cache: false
});	
$(document).ready(function(){
	
	//$.get("round_list.html?t=" + rnd,function(data){
	var rnd = Math.random();
	$.get("round_list.html?t=" + rnd,{ "_": $.now() },function(data){
		data = data.replace("[display]","display:" + display);
		data = data.replace("[chinese_pause_message]",chinese_pause_message);
		data = data.replace("[english_pause_message]",english_pause_message);
		//data = data.replace("[display_url]","display:" + display_url);
		//data = data.replace("[uurl]",uurl);
	    //$("#iframe").html(data);
	    $('#EveryRoundTable').append(data);
		
	});
	//$("#display").css({'display':display});
	//$("#chinese_pause_message").html(chinese_pause_message);
	//$("#english_pause_message").html(english_pause_message);
	//$("#display_url").css({'display':display_url});
	//$("#uurl").attr("href",uurl);
});
